import java.math.BigDecimal;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

public class Main {

  public static void main(String[] args) throws Exception {
    BeanFactory beanFactory = new XmlBeanFactory(new ClassPathResource("context.xml"));
    PropertyEditorTestBean testBean = (PropertyEditorTestBean) beanFactory.getBean("testBean");

    System.out.println(testBean.getMyAmount());
  }
}

class PropertyEditorTestBean {

  private BigDecimal myAmount;

  public BigDecimal getMyAmount() {
    return myAmount;
  }

  public void setMyAmount(BigDecimal myAmount) {
    this.myAmount = myAmount;
  }
}